<?php
// menggunakan class phpExcelReader
error_reporting(0);
include "excel_reader2.php";

// membaca file excel yang diupload
$data = new Spreadsheet_Excel_Reader($_FILES['userfile']['tmp_name']);

// membaca jumlah baris dari data excel
$baris = $data->rowcount($sheet_index=0);

// nilai awal counter untuk jumlah data yang sukses dan yang gagal diimport
$sukses = 0;
$gagal = 0;
$dataxx[] = "";
$tmp="";
// import data excel mulai baris ke-2 (karena baris pertama adalah nama kolom)
for ($i=1; $i<=$baris; $i++){
  // membaca data (kolom ke-1 sampai 7)
    $id = $data->val($i, 1);
    $nm_data = $data->val($i, 2);
    $nilai1 = $data->val($i, 3);
    $nilai2 = $data->val($i, 4);
    $nilai3 = $data->val($i, 5);
    $nilai4 = $data->val($i, 6);
    $nilai5 = $data->val($i, 7);
    $nilai6 = $data->val($i, 8);
    $nilai7 = $data->val($i, 9);
    $nilai8 = $data->val($i, 10);
    $nilai9 = $data->val($i, 11);
    $nilai10 = $data->val($i, 12);
    $nilai11 = $data->val($i, 13);
    $nilai12 = $data->val($i, 14);
    $nilai13 = $data->val($i, 15);
    $nilai14 = $data->val($i, 16);
    $nilai15 = $data->val($i, 17);
    $nilai16 = $data->val($i, 18);
    $nilai17 = $data->val($i, 19);

    $jlhattrib = mysql_result(mysql_query("SELECT COUNT(*) as jum FROM tb_atribut"),0);

    for($x=1; $x<$jlhattrib; $x++){
        $q_tmp = mysql_query("SELECT * FROM tb_nilaiatribut
								WHERE id_atribut='$x' and nm_nilaiatribut='".$data->val($i, 2+$x)."'");
        $r_tmp    = mysql_fetch_array($q_tmp);

        $dataxx[$x] = $r_tmp['id_nilaiatribut'];
        $tmp = implode(',',$dataxx);
    }

    $query=mysql_query("insert into tb_datalatih(
							id_datalatih,
							nama,
							data)
						values(
							'$id',
							'$nm_data',
							'".$tmp."'
							)");

    $hasil = mysql_query($query);

  // jika proses insert data sukses, maka counter $sukses bertambah
  // jika gagal, maka counter $gagal yang bertambah
  if ($hasil) $sukses++;
  else $gagal++;
}

// tampilan status sukses dan gagal
echo "<center style='margin-top:10%; padding-bottom:14%;'><h3>Proses import data selesai...!!!</h3>";
echo "<p>Jumlah Data yang sukses di import sebanyak : ".$sukses."<br>";
echo "Jumlah Data yang gagal di import sebanyak : ".$gagal."</p>
<input type=button value='Lihat Semua Data' onclick=\"window.location.href='media.php?module=datalatih';\"></center>";

?>